package com.pqs9200.mapper.weeklyreport;

import java.util.Date;
import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.njcn.pojo.commons.device.LineInfo;
import com.njcn.pojo.data.LineMaps;
import com.pqs9200.serviceimpl.weeklyreport.WeeklyReportServiceImpl.Info;

public interface GetAreaPointInfoMapper {
    Integer getOnline(@Param("gdIndexs") List<Integer> list); // 统计在线监测点个数(离线个数=监测点ID集合长度-在线个数)

    Integer getEventCount(@Param("lineIndexs") List<Integer> list, @Param("start") Date start, @Param("end") Date end); // 统计暂降事件个数

    Integer getBreakCount(@Param("lineIndexs") List<Integer> list, @Param("start") Date start, @Param("end") Date end); // 统计中断事件个数

    Integer getUpCount(@Param("lineIndexs") List<Integer> list, @Param("start") Date start, @Param("end") Date end); // 统计暂升事件个数

    List<Info> getLineInfo(@Param("deptIndexs") List<String> list, @Param("systype") String systype);

    List<LineMaps> getMapsBylines(@Param("list") List<Integer> list);

    List<LineInfo> getTenList(@Param("start") Date start, @Param("end") Date end,@Param("wavetype") Integer wavetype,@Param("list")List<Integer> list);
}
